package com.madeu.crm.smsTemplate.map;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.madeu.crm.smsTemplate.dto.SmsTemplateDTO;
import com.madeu.crm.smsTemplate.dto.SmsTemplateSearchDTO;

@Mapper
public interface SmsTemplateMAP {
    // 상용구 목록 건수 조회
    int getSmsTemplateCnt(SmsTemplateSearchDTO searchDTO);

    // 상용구 목록 조회
    List<SmsTemplateDTO> getSmsTemplateList(SmsTemplateSearchDTO searchDTO);

    // 상용구 상세 조회
    SmsTemplateDTO getSmsTemplate(SmsTemplateDTO dto);

    // 상용구 등록
    int putSmsTemplate(SmsTemplateDTO dto);

    // 상용구 수정
    int modSmsTemplate(SmsTemplateDTO dto);

    // 상용구 삭제 (논리 삭제)
    int delSmsTemplate(SmsTemplateDTO dto);
}
